WordPress.org

Support

Support » Plugins and Hacks » Gecka Submenu » [Resolved] Gecka Submenu uses call-time pass-by-reference, which throws fatal errors

[Resolved] Gecka Submenu uses call-time pass-by-reference, which throws fatal errors

  • Call-time pass-by-reference has been deprecated since PHP 5.3, and has been removed from PHP 5.4. In other words, this plug-in throws fatal errors in several places when used with PHP >= 5.4.

    The fix is rather simple: remove the leading ampersands (“&”) from the function calls (not the definitions).

    http://wordpress.org/extend/plugins/gecka-submenu/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Tried the fix, can activate it, but it doesn’t work! I can’t get anything into the menu, it just remains blank.

    This issue should have been fixed by now, especially since they have a pro version!

    We experienced the same problem last week on our website, quite possibly due to our host updating their PHP from version 5.3.10 to 5.4.9.

    As a temporary measure, our web development company had to deactivate the Gecka Submenu plugin from our site– so currently our site is without the sidebar menus it is supposed to have–
    http://www.inplace.com

    Will this plugin ever get fixed to work with later PHP versions?

    I can confirm this same problem still exists on WordPress 3.5 and php 5.4. For a plugin that is advertised as requiring php 5, this is a bit surprising.

    Plugin Author Gecka

    @gecka

    Should be solved in 0.7beta4.

    I can confirm it is solved in the latest version. Thank you.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] Gecka Submenu uses call-time pass-by-reference, which throws fatal errors’ is closed to new replies.
Skip to toolbar